=== debian/changelog ===
kpatch (0.3.2-3ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add additional depends for building Ubuntu kernel
    - Ubuntu Specific Patches:
      - output-kernel-build-in-debug.patch
      - ubuntu-kernel-variants.patch
      - use-debian-rules-for-ubuntu-builds.patch
      - use-livepatch-4.5-kernel-features.patch
      - use-ubuntu-utsrelease-for-kpatch-build.patch
    - make dpks updates dir in post-dkms.sh script

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 16 Aug 2016 08:41:04 -0500

kpatch (0.3.2-3) unstable; urgency=medium

  * Fixes for Linux 4.6. (Closes: #832091)

 -- Chris J Arges <chris.j.arges@canonical.com>  Wed, 27 Jul 2016 12:22:10 +0200

kpatch (0.3.2-2) unstable; urgency=medium

  * Install kpatch.service file correctly. (Closes: #828193)
  * Update standards version.

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 27 Jun 2016 14:01:29 -0500

kpatch (0.3.2-1ubuntu6) yakkety; urgency=medium

  * Allow kpatch-build to build for Ubuntu flavors. (LP: #1586515)

 -- Benjamin M Romer <benjamin.romer@canonical.com>  Tue, 24 May 2016 11:09:54 -0400

kpatch (0.3.2-1ubuntu5) yakkety; urgency=medium

  * Use debian/rules to build the kernel (LP: #1578661)
  * During kernel builds, generate output when not in debug mode to
    prevent builders timing out due to the build appearing hung (LP: #1570012)

 -- Benjamin M Romer <benjamin.romer@canonical.com>  Wed, 04 May 2016 12:49:33 -0400

kpatch (0.3.2-1ubuntu4) xenial; urgency=medium

  [ Chris J Arges ]
  * Use Build-Depends from the Ubuntu linux source package.

  [ Benjamin M Romer ]
  * When running in debug mode, write the linux build output to stdout as well
    as the log file. (LP: #1566924)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 07 Apr 2016 09:20:33 +0100

kpatch (0.3.2-1ubuntu3) xenial; urgency=medium

  * Generate UTS_UBUNTU_RELEASE_ABI for utsrelease.h instead of previous
    attempt. (LP: #1566460)

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 05 Apr 2016 18:01:53 +0100

kpatch (0.3.2-1ubuntu2) xenial; urgency=medium

  * Use utsrelease.h as generated in linux-headers-`uname -r` instead of
    regenerating it. (LP: #1560216)

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 21 Mar 2016 15:46:31 -0500

kpatch (0.3.2-1ubuntu1) xenial; urgency=medium

  * Ensure we use sympos structures for patched Ubuntu v4.4 kernel.
    (LP: #1548430)

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 22 Feb 2016 13:09:36 -0500

kpatch (0.3.2-1) unstable; urgency=medium

  * New upstream release.
    Dropped patches:
    - make-kmod-conditional.patch
    - kmod-core-fix-message.patch
    - kpatch-build-allow-external-ldflags.patch

 -- Chris J Arges <chris.j.arges@canonical.com>  Wed, 17 Feb 2016 16:11:19 -0600

kpatch (0.3.1-2) unstable; urgency=medium

  * Ensure dkms builds for KERNELRELEASE instead of uname -r. (Closes: #812254) 
  * Add kernel-wedge, gawk, bc as dependencies for kpatch-build.
  * Don't require kpatch kmod for kpatch-build.
  * Remove dependency on kpatch-dkms for kpatch-build.

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 22 Jan 2016 08:12:06 -0600

kpatch (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #810268)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 07 Jan 2016 10:03:07 -0600
