=== debian/control ===
Source: kpatch
Section: kernel
Priority: optional
Maintainer: Chris J Arges <chris.j.arges@canonical.com>
Build-Depends: debhelper (>= 9), libelf-dev, dkms
Standards-Version: 3.9.8
Homepage: http://github.com/dynup/kpatch
#Vcs-Git: git://anonscm.debian.org/collab-maint/kpatch.git
#Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/kpatch.git;a=summary

Package: kpatch
Architecture: linux-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, kpatch-dkms,
 linux-headers-amd64 | linux-headers-generic
Description: Runtime tools for Kpatch
 kpatch is a Linux dynamic kernel patching tool which allows you to patch a
 running kernel without rebooting or restarting any processes.  It enables
 sysadmins to apply critical security patches to the kernel immediately, without
 having to wait for long-running tasks to complete, users to log off, or
 for scheduled reboot windows.  It gives more control over up-time without
 sacrificing security or stability.

Package: kpatch-dkms
Architecture: linux-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, dkms
Description: DKMS module for Kpatch
 This package contains the Kpatch module built with DKMS. It installs the source
 and makefiles into the appropriate locations in order to handle various kernel
 versions.

Package: kpatch-build
Architecture: linux-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev, debhelper (>= 5),
 dh-systemd, cpio, kernel-wedge, kmod, makedumpfile, libelf-dev,
 libnewt-dev, libiberty-dev, rsync, libdw-dev, libpci-dev, pkg-config, flex,
 bison, libunwind8-dev, openssl, libssl-dev, libaudit-dev, bc, python-dev, gawk,
 libudev-dev, autoconf, automake, libtool, uuid-dev, xmlto, docbook-utils,
 ghostscript, transfig, bzip2, sharutils, asciidoc
Suggests: ccache
Description: Build Tools for Kpatch and Livepatch
 kpatch-build is a tool that can build both kpatch and livepatch modules from
 a given patch.
