## kpatch 0.5.0

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 UNINSTALL_DIRS = $(SUBDIRS:%=uninstall-%)
 CLEAN_DIRS   = $(SUBDIRS:%=clean-%)
 
+.PHONY: all install uninstall clean check
 .PHONY: $(SUBDIRS) $(BUILD_DIRS) $(INSTALL_DIRS) $(CLEAN_DIRS)
 
 
@@ -24,3 +25,6 @@
 clean: $(CLEAN_DIRS)
 $(CLEAN_DIRS):
 	$(MAKE) -C $(@:clean-%=%) clean
+
+check:
+	shellcheck kpatch/kpatch kpatch-build/kpatch-build kpatch-build/kpatch-gcc
