=== debian/changelog ===
kpatch (0.5.0-0ubuntu1) bionic; urgency=low

   * Upstream bump to 0.5.0 (LP: #1763065).
   * Drop patches that are present in the upstream release:
     - kpatch-build-works-without-kpatch-kmod.patch
     - kmod-core-fix-stacktrace_ops-address-function-protot.patch
     - create-diff-object-fix-WARN-_ONCE-detection-on-newer.patch
     - use-livepatch-4.5-kernel-features.patch
   * output-kernel-build-in-debug.patch was dropped to reduce build output.
   * These remaining patches have been updated to apply to the refreshed
     upstream:
     - kpatch-build-adjust-dirs.patch
     - use-debian-rules-for-ubuntu-builds.patch
     - ubuntu-kernel-variants.patch
   * The shellcheck linter is called during packaging, to verify the quality of
     the scripts used in the package.
   * List the Ubuntu Kernel Team as the package maintainer in the control file
   * kmod/core: fix stacktrace_ops 'address' function prototype for 4.6 (LP: #1665613, #1659581)

 -- Benjamin M Romer <benjamin.romer@canonical.com>  Wed, 11 Apr 2018 21:41:51 -0400
