=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kpatch
 Section: kernel
 Priority: optional
-Maintainer: Chris J Arges <chris.j.arges@canonical.com>
-Build-Depends: debhelper (>= 9), libelf-dev, dkms
+Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris J Arges <chris.j.arges@canonical.com>
+Build-Depends: debhelper (>= 9), libelf-dev, dkms, shellcheck
 Standards-Version: 3.9.8
 Homepage: http://github.com/dynup/kpatch
 #Vcs-Git: git://anonscm.debian.org/collab-maint/kpatch.git
