=== debian/changelog ===
kpatch (0.6.0-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * kmod: Fix symbol lookup on Linux 4.19 (Closes: #917861)
  * dkms: Pass target kernel version to the upstream clean target
    (Closes: #917860)
  * kpatch-build: Fix clean target

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 07 Jan 2019 19:39:23 +0000

kpatch (0.6.0-0.1) unstable; urgency=medium

  [Simon Ruderich]
  * Non-maintainer upload.
  * New upstream release. (Closes: #872413)

  [Nobuhiro Iwamatsu]
  * Add patches/Fix-build-err-by-Werror-maybe-uninitialized.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 16 Jun 2018 07:23:46 +0900

kpatch (0.3.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixes for Linux 4.9: (Closes: #851750)
    - Dropped patch kmod-core-fix-stacktrace_ops-address-function-protot.patch
    - Added patch kmod-core-use-save_stack_trace_tsk-backport.patch: backport
      of upstream commit 586feb40fe116b70d3ac752359706c3e1fafe4ea.
    Thanks to James Beck for the initial revision of this patch.

 -- Chris Boot <bootc@debian.org>  Sat, 01 Apr 2017 20:33:40 +0100
