=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
+override_dh_auto_test:
+	-dh_auto_test
 
 override_dh_install:
 	mkdir -p debian/tmp/usr/src/kpatch-$(VERSION)
