=== debian/changelog ===
kpatch (0.8.0-0ubuntu8) impish; urgency=medium

  * Depend on python3-dev instead of python2-dev, c.f.:
    github.com/dynup/kpatch/commit/4df66fa15f95c86946050ae969658c17caebc0d2

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 11 May 2021 16:03:30 +0200

kpatch (0.8.0-0ubuntu7) hirsute; urgency=medium

  * Revert the last change, and build explicitly with GCC 9.
    kpatch 0.8 is not ready for GCC 10. There is 0.9.2 ...

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Dec 2020 13:00:04 +0100

kpatch (0.8.0-0ubuntu5) hirsute; urgency=medium

  * Build using gcc-10-plugin-dev.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Dec 2020 12:50:48 +0100

kpatch (0.8.0-0ubuntu4) hirsute; urgency=medium

  * Merge packaging fixes from 0.6.0-0.2 0.6.0-0.1 and 0.3.2-3.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2020 16:03:59 +0100

kpatch (0.8.0-0ubuntu3) hirsute; urgency=medium

  * Drop dh-systemd runtime dependency with debhelper >=10

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2020 13:08:00 +0100

kpatch (0.8.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:45:05 +0100

kpatch (0.8.0-0ubuntu1) focal; urgency=low

  [ Benjamin M Romer ]
  * Upstream bump to 0.8.0
  * These remaining patches have been refreshed to apply to the updated
     upstream:
     - kpatch-build-adjust-dirs.patch
     - use-debian-rules-for-ubuntu-builds.patch
     - ubuntu-kernel-variants.patch
  * Packaging changes to produce only kpatch and kpatch-build
     - kpatch-dkms will be deprecated in the upstream soon
     - kmod-fix-symbol-lookup-on-linux-4.19.patch no longer needed
  * Enhance ubuntu-kernel-variants.patch to support additional kernel flavors
  * Added missing devscripts dependency, required by kpatch-build 
  * Added elfutils dependency for ppc64el support
  * Added gcc plugin devpackage dependency for ppc64el support
  * Extra patch for xenial shellcheck version

  [ Matthias Klose ]
  * Depend on python2-dev instead of python-dev.

 -- Benjamin M Romer <benjamin.romer@canonical.com>  Tue, 21 Jan 2020 16:12:05 +0100

kpatch (0.5.0-0ubuntu2) disco; urgency=medium

  * Import v0.6 pataches from unstable for v4.19/v5 compat.
  * Add more shellcheck fixes.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Feb 2019 09:39:39 +0100
