=== debian/control ===
Source: kpatch
Section: kernel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris J Arges <chris.j.arges@canonical.com>
Build-Depends: debhelper (>= 9), libelf-dev, shellcheck, g++-9, gcc-9-plugin-dev
Standards-Version: 3.9.8
Homepage: http://github.com/dynup/kpatch
Vcs-Git: https://salsa.debian.org/debian/kpatch.git
Vcs-Browser: https://salsa.debian.org/debian/kpatch

Package: kpatch
Architecture: any
Replaces: kpatch-dkms
Depends: ${shlibs:Depends}, ${misc:Depends},
 linux-headers-amd64 | linux-headers-generic
Description: Runtime tools for Kpatch
 kpatch is a Linux dynamic kernel patching tool which allows you to patch a
 running kernel without rebooting or restarting any processes.  It enables
 sysadmins to apply critical security patches to the kernel immediately, without
 having to wait for long-running tasks to complete, users to log off, or
 for scheduled reboot windows.  It gives more control over up-time without
 sacrificing security or stability.

Package: kpatch-build
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev, debhelper (>= 10),
 cpio, kernel-wedge, kmod, makedumpfile, libelf-dev, devscripts,
 libnewt-dev, libiberty-dev, rsync, libdw-dev, libpci-dev, pkg-config, flex,
 bison, libunwind8-dev, openssl, libssl-dev, libaudit-dev, bc, python3-dev, gawk,
 libudev-dev, autoconf, automake, libtool, uuid-dev, xmlto, docbook-utils,
 ghostscript, transfig, bzip2, sharutils, asciidoc, elfutils
Suggests: ccache
Description: Build Tools for Kpatch and Livepatch
 kpatch-build is a tool that can build both kpatch and livepatch modules from
 a given patch.
