=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

VERSION ?= $(shell dpkg-parsechangelog |\
	     sed -rne 's/^Version: ([0-9.]+)[-+].*$$/\1/p')
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export BUILDMOD=no

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
override_dh_auto_test:
	-dh_auto_test
