## kpatch 0.9.4

=== debian/changelog ===
kpatch (0.9.4-lnd.5) unstable; urgency=medium

  * Non-maintainer upload.
  * kpatch-build: substitute reg0i26_format for i26_format

 -- Xiang Liu <liuxiang@loongson.cn>  Thu, 10 Feb 2022 17:16:33 +0800

kpatch (0.9.4-lnd.4) unstable; urgency=medium

  * Non-maintainer upload
  * fix kpatch not work for new kernel

 -- Hongchen Zhang <zhanghongchen@loongson.cn>  Fri, 2 Jul 2021 12:32:53 +0000

kpatch (0.9.4-lnd.3) unstable; urgency=medium

  * Non-maintainer upload
  * kpatch-build: fix some errors when create diff object
  * add test cases for Loongnix-20

 -- Hongchen Zhang <zhanghongchen@loongson.cn>  Thu, 1 Jul 2021 12:00:53 +0000

kpatch (0.9.4-lnd.1) unstable; urgency=medium

  * Non-maintainer upload
  * kmod: add loongarch64 support
  * kpatch: add loongarch64 support
  * kpatch-build: add loongarch64 support

 -- Hongchen Zhang <zhanghongchen@loongson.cn>  Fri, 18 Jun 2021 01:39:23 +0000
