=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,11 @@
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
 override_dh_auto_test:
-	-dh_auto_test
 
+override_dh_install:
+	mkdir -p debian/tmp/usr/src/kpatch-$(VERSION)
+	dh_install -pkpatch-dkms -X.o -X.ko -Xkmod/patch kmod/ usr/src/kpatch-$(VERSION)
+	dh_install -pkpatch-dkms Makefile.inc usr/src/kpatch-$(VERSION)
+	dh_install -pkpatch-dkms debian/post-dkms.sh usr/src/kpatch-$(VERSION)
+	dh_dkms -V $(VERSION)
+	dh_install
