## kpatch 0.9.9

=== debian/changelog ===
kpatch (0.9.9-6) unstable; urgency=medium

  * d/control: Remove gcc-12-plugin-dev from Build Dependency. Replace
    g++-12 [ppc64el] by g++-14 [ppc64el] (Closes: #1092202).

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 25 Jan 2025 14:18:49 -0300

kpatch (0.9.9-5) unstable; urgency=medium

  * d/patches/remove_cdo_flag_from_script_not_used.patch: Update patch to
    force use --klp-patch in create-diff-object script.
  * d/patches/fix-find-locals_syms.patch: Add patch to look for __pfx_ symbols
    in objects.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 03 Dec 2024 16:59:42 -0300

kpatch (0.9.9-4) unstable; urgency=medium

  * Remove build-dependecy on g++-11* [ppc64el]
  * wrap-and-sort -ast
  * Enable wrap-and-sort job in Salsa CI
  * Declare compliance with Standards-Version 4.7.0.1
  * Add VCS links to debian/control

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 08 Nov 2024 06:59:48 -0300

kpatch (0.9.9-3) unstable; urgency=medium

  * d/gbp.conf: configure debian/latest as default branch for gbp.
  * d/control: Add gcc-14-plugin-dev as Build Depends to obtain
    bversion.h header in ppc64el arch (Closes: #1079032).

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 07 Sep 2024 22:31:43 -0300

kpatch (0.9.9-2) unstable; urgency=medium

  * Remove aliased file /lib/systemd/system/kpatch.service (DEP17). Thanks to
    Helmut Grohne. (Closes: #1077036)

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 29 Jul 2024 16:57:54 +0900

kpatch (0.9.9-1) unstable; urgency=low

  [ Santiago Ruano Rincón ]
  * New upstream version 0.9.9
  * Update and refresh d/patches/*
  * Update d/patches/shellcheck.patch (Closes: #1029189)
  * Move kpatch-build dependency from pkg-config to pkgconf
  * Wrap and sort
  * Add initial debian/salsa-ci.yml
  * Add Emmanuel and myself as Uploaders (Closes: #1073855)

  [ Emmanuel Arias ]
  * d/patches/handle_paravirt_absence_linux_v6.8+.patch: Add an upsream patch
    to fix an issue in kpatch-build when it try to check paravirt patching
    code that was removed from linux v6.8+.
  * d/patches/remove_cdo_flag_from_script_not_used.patch: Add patch to remove
    CDO_FLAGS variable from the create-diff-object call.
  * d/patches/handle_paravirt_absence_linux_v6.8+.patch: Add an upsream patch
    to fix an issue in kpatch-build when it try to check paravirt patching
    code that was removed from linux v6.8+.
  * d/patches/remove_cdo_flag_from_script_not_used.patch: Add patch to remove
    CDO_FLAGS variable from the create-diff-object call.

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 11 Jul 2024 17:47:56 -0300

kpatch (0.9.7-2) experimental; urgency=medium

  [ Benjamin M Romer ]
  * Further modification to ignore-lubsan-sections to skip altered lubsan
    data.

  [ Dimitri John Ledkov ]
  * Drop libunwind-dev runtime dependency, should not be needed to build
    kernel vmlinux or modules.
  * Make backporting on ppc64el easier by build-depending on both gcc-11
    and gcc-12 plugin development.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 28 Nov 2022 21:07:55 +0000

kpatch (0.9.7-1) experimental; urgency=medium

  * Upload to Debian experimental, it's not perfect, but better than
    current situation.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 21 Oct 2022 14:42:04 +0100

kpatch (0.9.7-0ubuntu1) devel; urgency=medium

  [ Benjamin M Romer ]
  * Upgrade to latest release
  * The following patches were updated and carried forward
     - shellcheck.patch
     - kpatch-build-adjust-dirs.patch
     - use-debian-rules-for-ubuntu.patch
     - ubuntu-kernel-variants.patch
     - add ignore-lubsan-sections.patch

  [ Dimitri John Ledkov ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add debian/watch file, using github.
  * Add pahole depends on kpatch-build
  * Drop linux-header Depends from kpatch, packages in the archive must
    not depend on linux-headers, as it cannot know which ones are needed
    for any given kernel.
  * Update homepage URL to https
  * Do not install upstart job
  * Drop include-binaries stanzas, source packages must not include
    pre-built binaries.
  * Bump standards version
  * Drop unused VERSION variable from debian/rules
  * Delete embeded .git repository

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 21 Oct 2022 14:07:12 +0100
