=== debian/changelog ===
kpatch (0.9.10-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: Add hardening=+all to DEB_BUILD_MAINT_OPTIONS.
  * d/patches/handle_paravirt_absence_linux_v6.8+.patch: Remove patch.
    It was already applied by upstream.
  * d/patches: Update patches according to new upstream release:
    - remove_cdo_flag_from_script_not_used.patch
    - ubuntu-kernel-variants.patch
    - use-debian-rules-for-ubuntu-builds.patch
  * d/patches/shellcheck.patch: Update patch according to new upstream
    release.
  * d/control: Bump Standards-Version to 4.7.2 (from 4.7.0.1; no further
    changes needed).

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 29 Mar 2025 15:40:54 -0300
