=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  gcc-14-plugin-dev [ppc64el],
  libelf-dev,
  shellcheck,
-Standards-Version: 4.7.0.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/dynup/kpatch
 Vcs-Browser: https://salsa.debian.org/debian/kpatch
 Vcs-Git: https://salsa.debian.org/debian/kpatch.git
