=== kpatch-build/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 include ../Makefile.inc
 
 CFLAGS += -std=gnu11 -MMD -MP -I../kmod/patch -Iinsn -Wall -Wsign-compare \
-	  -Wconversion -Wno-sign-conversion -g -Werror
+	  -Wconversion -Wno-sign-conversion -g -Werror -D_GNU_SOURCE
 LDLIBS = -lelf
 
 TARGETS = create-diff-object create-klp-module create-kpatch-module
@@ -21,7 +21,7 @@
 PLUGIN_CFLAGS += -shared -I$(GCC_PLUGINS_DIR)/include \
 		   -Igcc-plugins -fPIC -fno-rtti -O2 -Wall
 endif
-ifeq ($(filter $(ARCH),s390x x86_64 ppc64le),)
+ifeq ($(filter $(ARCH),s390x x86_64 ppc64le aarch64),)
 $(error Unsupported architecture ${ARCH}, check https://github.com/dynup/kpatch/#supported-architectures)
 endif
