=== kpatch/Makefile ===
include ../Makefile.inc

all:

install: all
	$(INSTALL) -d $(SBINDIR)
	$(INSTALL) kpatch $(SBINDIR)

uninstall:
	$(RM) $(SBINDIR)/kpatch

clean:
