=== debian/changelog ===
kpatch (0.9.11-1) unstable; urgency=medium

  * New upstream version.
  * debputy lint --auto-fix (routine-update)
  * Update patches according to new upstream release.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 31 Oct 2025 09:53:16 -0300
