=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: kpatch
-Section: kernel
-Priority: optional
+Standards-Version: 4.7.2
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 Uploaders:
  Dimitri John Ledkov <dimitri.ledkov@canonical.com>,
  Emmanuel Arias <eamanu@debian.org>,
  Santiago Ruano Rincón <santiago@debian.org>,
+Section: kernel
+Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  g++-14 [ppc64el],
  gcc-14-plugin-dev [ppc64el],
  libelf-dev,
  shellcheck,
-Standards-Version: 4.7.2
-Homepage: https://github.com/dynup/kpatch
 Vcs-Browser: https://salsa.debian.org/debian/kpatch
 Vcs-Git: https://salsa.debian.org/debian/kpatch.git
+Homepage: https://github.com/dynup/kpatch
 
 Package: kpatch
 Architecture: amd64 ppc64el s390x
-Replaces:
- kpatch-dkms,
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Replaces:
+ kpatch-dkms,
 Description: Runtime tools for Kpatch
  kpatch is a Linux dynamic kernel patching tool which allows you to patch a
  running kernel without rebooting or restarting any processes.  It enables
