=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 export BUILDMOD=no
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@
