=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/kpatch-$1\.tar\.gz/ https://github.com/dynup/kpatch/tags .*\/v(\d\S+)\.tar\.gz
